# Gold Rush

You find yourself in a grid-based cave. Your goal is to escape with as much gold as possible.
Your enemy is an all-knowing, all-seeing posse of miners who try to capture you.

## The Game
The game is played as follows:
  - The game starts after all miners have collectively chosen their hiding places (marked `E`).
  - On each move, You can go `up`, `down`, `left`, or `right`.
  - Some squares have special meaning: 
    - `S` marks Your starting square;
    - Whenever You step on a square marked `G`, you are awarded one gold; 
    - if you step on a miner's hiding place `E`, a fight ensues;
    - As soon as you step on any exit `D`, the game ends.
    
The miners also get an extra move. If the first hiding place You step on is unoccupied, miners may choose to relocate one of their members to a different hiding place (not on top of the player).

### Fights
Each cave defines `capture_prob` -- the probability of miners successfully capturing You. If you are caught, the game ends; otherwise, You dispatch of the miner and continue.

### Scoring
The score starts at zero. 10 points are awarded for a successful escape, with 1 additional point for each gold taken. No points will be awarded in case the player gets captured.
